Author Topic: Problem switching to PHP 5.4.45  (Read 8748 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Problem switching to PHP 5.4.45
« on: November 02, 2015, 11:27:25 AM »
After switching to PHP 5.4.45 CWP Dashboard says its Version 5.4.45 installed.

info.php however says its still Version 5.4.27

Checking rebuild.log shows following:

cp: cannot stat `sapi/cli/php.1': No such file or directory
make: *** [install-cli] Error 1

This relates to php Bug #66842.

Any solution?

Thank you,
Bernie

Offline
*
Re: Problem switching to PHP 5.4.45
« Reply #1 on: November 02, 2015, 06:14:32 PM »
are you certain that you are not using php selector ?
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: Problem switching to PHP 5.4.45
« Reply #2 on: November 02, 2015, 06:25:48 PM »
Sure am I sure.

Im using PHP Version Switcher to PHP 5.4.45 (recommended)  after upgrade to CWP Version 0.9.8.10 :)

Offline
*****
Re: Problem switching to PHP 5.4.45
« Reply #3 on: November 03, 2015, 10:09:07 AM »
Hello.

Check the rebuild log file, last 20-40 lines. It is should have some errors.
I guess you should to install some rpm package.

Offline
*
Re: Problem switching to PHP 5.4.45
« Reply #4 on: November 03, 2015, 11:00:06 AM »
Thank you for your help  :)

Cannot find any error messages in log at all (except the mentioned). Here the last lines of log

***

-lz -lm -lcrypt -lxml2 -lz -lm -lxml2 -lz -lm -lxml2 -lz -lm -lxml2 -lz -lm -lxslt -lxml2 -lz -lm -lcrypt  -o sapi/cgi/php-cgi
Generating phar.php
Generating phar.phar
PEAR package PHP_Archive not installed: generated phar will require PHP's phar extension be enabled.
directorytreeiterator.inc
directorygraphiterator.inc
invertedregexiterator.inc
clicommand.inc
pharcommand.inc
phar.inc

Build complete.
Don't forget to run 'make test'.

Make DONE!
####################
Installing PHP CLI binary:        /usr/local/bin/
Installing PHP CLI man page:      /usr/local/php/man/man1/
cp: cannot stat `sapi/cli/php.1': No such file or directory
make: *** [install-cli] Error 1
Make Install DONE!
####################
PHP Rebuild Completed
#########################

***

Hope it tells you more than me ...

Bernie

Offline
*****
Re: Problem switching to PHP 5.4.45
« Reply #5 on: November 03, 2015, 12:14:44 PM »
Hi,

I had same troubles, but PHP version have been switched.

Offline
*
Re: Problem switching to PHP 5.4.45
« Reply #6 on: November 08, 2015, 10:53:42 AM »
Meanwhile I figured it has to do with suPHP and php-cgi.

Im wondering my /usr/local/bin/php-config states version 5.4.27 instead of 5.4.45

Any suggestions on how to solve that?

Thanks
Bernie

Offline
**
Re: Problem switching to PHP 5.4.45
« Reply #7 on: November 09, 2015, 09:33:25 AM »
have same issue and same errors strange...

php info:
PHP Version => 5.4.27

CWP:
You are running PHP version: 5.4.45

Shell command:
[root@srv1 ~]# php --version
PHP 5.4.45 (cli) (built: Nov  9 2015 10:31:22)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2014 Zend Technologies

Same log as mentioned before:
Generating phar.php
Generating phar.phar
PEAR package PHP_Archive not installed: generated phar will require PHP's phar extension be enabled.
clicommand.inc
directorytreeiterator.inc
invertedregexiterator.inc
directorygraphiterator.inc
pharcommand.inc
phar.inc

Build complete.
Don't forget to run 'make test'.

Make DONE!
####################
Installing PHP CLI binary:        /usr/local/bin/
Installing PHP CLI man page:      /usr/local/php/man/man1/
cp: cannot stat `sapi/cli/php.1': No such file or directory
make: *** [install-cli] Error 1
Make Install DONE!
####################
PHP Rebuild Completed
#########################

Offline
**
Re: Problem switching to PHP 5.4.45
« Reply #8 on: November 09, 2015, 11:27:57 AM »
Same problem here too. Two PHP version shows at my CWP phpinfo(). I just rebuild my PHP to 5.4.45 using PHP version switcher but still the same problem. Showing 5.4.45 and also 5.4.27.

Offline
**
Re: Problem switching to PHP 5.4.45
« Reply #9 on: November 09, 2015, 11:36:53 AM »
well I have new problem now :) trying to fix those smal problems now I have or not have one bigger :)

tested how its working with 5.5.30 everything goes ok and reversed to 5.4.45 becouse one of my sites works with older joomla.

CWP:
PHP Info
You are running PHP version: 5.4.45
Warning: file_get_contents(http://127.0.0.1/phpinfo.php): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found in /usr/local/cwpsrv/htdocs/resources/admin/modules/php_info.php(1) : eval()'d code(1) : eval()'d code on line 3
phpinfo()
PHP Version => 5.4.27

but my website joomla says its 5.5.30

and its dead :D

Offline
**
Re: Problem switching to PHP 5.4.45
« Reply #10 on: November 09, 2015, 01:23:50 PM »
Ok this is last info I managed to make all working for now but seems there are some bugs because I really don't change settings often.

I compiled and installed php 5.5.30

PHP Version Switcher - You are running PHP version: 5.5.30 this seems ok

PHP info shows me this:

You are running PHP version: 5.5.30
Warning: file_get_contents(http://127.0.0.1/phpinfo.php): failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found in /usr/local/cwpsrv/htdocs/resources/admin/modules/php_info.php(1) : eval()'d code(1) : eval()'d code on line 3
phpinfo()
PHP Version => 5.4.27


Next problem appear when I tried to downgrade php to 5.4.45 which is recommended. Seems my clients didn't changed php... php info on client side show me its 5.5.30 so my friends site stopped to work because old joomla platform.
Tried to install older versions via php selector options without success. nothing happens and my logs are empty.
At the end I searched fix for myself and found scripts which CWP try to download and execute to install. Scripts are saved in folder /usr/local/src and then I executed them manually.

I installed 2 versions older for that joomla platform:
PHP 5.3 Installed    [Edit Flags] [Reset Flags] [list Modules]
PHP 5.4 Installed    [Edit Flags] [Reset Flags] [list Modules]

seems that php 5.4 gives some internal server errors (don't know why worked before fine on same joomla and php) but on 5.3 works fine with htaccess edited like showed in wiki tutorial.

I will try to figure out why my CWP did not do downgrade and why my php selector did not work.. Seems my logs are clean without any error and seems like CWP just downloaded scripts in that folder without execution.

Sorry for bad English and long post.
Hope so this information will help someone.

Regards
[/list][/list]
« Last Edit: November 09, 2015, 01:25:44 PM by zakrpa »

Offline
*
Re: Problem switching to PHP 5.4.45
« Reply #11 on: November 16, 2015, 07:29:02 PM »
Very disapointing, noone takes care about this issue. Do only 4 users have the problem?

Offline
**
Re: Problem switching to PHP 5.4.45
« Reply #12 on: November 16, 2015, 07:59:55 PM »
well for now I don't care about info pages.
3 different information pages gives 3 different info's. I only hope so there is no some kind of security issue. But I figure it out how to install different versions manually, that fixed my problem with old joomla page.

don't think that only few of us have that problem maybe others didn't notice it yet or maybe someone put spell on us :D

Offline
*
Re: Problem switching to PHP 5.4.45
« Reply #13 on: November 21, 2015, 05:30:51 PM »
Really the same problem... Main PHP version: 5.4.45, PHP Selector version: PHP 5.4.35... How to fix it?

Offline
*
Re: Problem switching to PHP 5.4.45
« Reply #14 on: November 21, 2015, 11:19:11 PM »
looks like this is an issue with newer php versions not having linux coding standards, we have updated php build scripts so now it should be working.
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services